Developers
V1PartnerTenantsTenantidAppointmentsIdConfirm

Confirm an appointment request

POST
/v1/partner/tenants/{tenantId}/appointments/{id}/confirm
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/appointments/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "expectedVersion": 1,    "startsAt": "2019-08-24T14:15:22Z"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "clinicName": "string",  "outletId": "414ee52f-b8bb-444c-8e1a-824bf463e887",  "outletName": "string",  "serviceId": "8f8bb40f-b96b-40fe-9064-5031fbe483f9",  "serviceName": "string",  "contactName": "string",  "contactMethod": "email",  "contactValue": "string",  "preferredDate": "2019-08-24",  "timeWindow": "morning",  "status": "pending",  "version": 1,  "createdAt": "2019-08-24T14:15:22Z",  "startsAt": "2019-08-24T14:15:22Z",  "declineReason": "unavailable",  "history": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "action": "requested",      "actor": "member",      "reason": "unavailable",      "startsAt": "2019-08-24T14:15:22Z",      "at": "2019-08-24T14:15:22Z"    }  ]}